#include <stdio.h>
#include <stdlib.h>

int main(){
    //freopen("in.txt","r",stdin);
    unsigned long int n,x,k = 0;
    scanf("%lu",&n);
    for( int i = 0 ; i < n ; ++i ){
        scanf("%lu", &x);
        if( x % 2 ){ ++k; }
    }
    printf("%lu", k * (n - k));
    return 0;
}
